#include "svc_http.h"

/* HTTP interface for presence
 * setting (GET/POST)
 *   /presence?sid&show&status
 * getting (GET) sid is optional, checks pub w/o
 *   /presence/uid.js?sid
 *   /presence/uid.xml?sid
 *   /presence/uid?sid
 */

void svc_http_presence_set(hs s, hrq rq)
{
    /* handle setting presence for a session */
    if(s == NULL)
    {
        /* problem */
    }
}

void svc_http_presence_get(hs s, hrq rq)
{
    /* handle setting presence for a session */
    /* if no sid or basic auth, hand off to public presence */
    if(s == NULL)
    {
        svc_http_public_presence(rq);
        return;
    }
}

void svc_http_presence(hrq rq)
{
    hs s;

    /* break out depending on the request */
    s = svc_http_session(rq);
    if(rq->file != NULL)
        svc_http_presence_get(s,rq);
    else
        svc_http_presence_set(s,rq);
}
